classification
Title: allow newer berkeley db versions
Type: Stage:
Components: Build Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: doko, jcea, python-dev
Priority: normal Keywords:

Created on 2012-07-01 08:36 by doko, last changed 2013-03-20 00:11 by doko. This issue is now closed.

Messages (6)
msg164461 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-01 08:36
setup.py still has a version check for berkley db, currently only allowing versions up to 5.1.x. I'm checking in a patch to bump this to allow versions up to 5.3.x.

Maybe this version check should be disabled (after 3.3), using berkley db as a backend for the dbm module doesn't rely on any fancy berkley db features.
msg164462 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-01 08:38
New changeset 7be082d80b8a by doko in branch 'default':
- Issue #15235: Allow Berkley DB versions up to 5.3 to build the dbm module.
http://hg.python.org/cpython/rev/7be082d80b8a
msg164479 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-07-01 13:38
Mattias, the tracker indicates that PDF doesn't have your contributor agreement. Could you possibly send one?.

http://www.python.org/psf/contrib/contrib-form/
msg164480 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-07-01 13:39
PDF = PSF (Python software Foundation)
msg164481 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-01 14:21
hmm, that was submitted years ago ... (can we move this off line?)
msg184711 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-20 00:11
fixed
History
Date User Action Args
2013-03-20 00:11:45dokosetstatus: open -> closed
resolution: fixed
messages: + msg184711
2012-07-06 16:27:10eric.araujosettitle: allow newer berkley db versions -> allow newer berkeley db versions
2012-07-01 14:21:39dokosetmessages: + msg164481
2012-07-01 13:39:05jceasetmessages: + msg164480
2012-07-01 13:38:28jceasetnosy: + jcea
messages: + msg164479
2012-07-01 08:38:09python-devsetnosy: + python-dev
messages: + msg164462
2012-07-01 08:36:07dokocreate